org.eclnt.jsfserver.elements.componentnodes

## Class CHARTNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.CHARTNode

- All Implemented Interfaces:
    java.io.Serializable

      public class CHARTNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CHARTNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CHARTNode` | `bindActionListener(IActionListenerDelegation value)`
    `CHARTNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `CHARTNode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `CHARTNode` | `bindChartbinding(IDynamicContentBindingObject value)`
    `CHARTNode` | `bindComment(IDynamicContentBindingObject value)`
    `CHARTNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `CHARTNode` | `bindEnabled(IDynamicContentBindingObject value)`
    `CHARTNode` | `bindHeight(IDynamicContentBindingObject value)`
    `CHARTNode` | `bindRendered(IDynamicContentBindingObject value)`
    `CHARTNode` | `bindShadow(IDynamicContentBindingObject value)`
    `CHARTNode` | `bindShowextendedlegend(IDynamicContentBindingObject value)`
    `CHARTNode` | `bindSuppressrightleftgesture(IDynamicContentBindingObject value)`
    `CHARTNode` | `bindWidth(IDynamicContentBindingObject value)`
    `CHARTNode` | `bindZoomdelay(IDynamicContentBindingObject value)`
    `CHARTNode` | `setActionListener(java.lang.String value)`
    `CHARTNode` | `setAdapterbinding(java.lang.String value)`
    `CHARTNode` | `setAnimatechangeofsize(boolean value)`
    `CHARTNode` | `setAnimatechangeofsize(java.lang.String value)`
    `CHARTNode` | `setAttributemacro(java.lang.String value)`
    `CHARTNode` | `setChartbinding(java.lang.String value)`
    `CHARTNode` | `setComment(java.lang.String value)`
    `CHARTNode` | `setConfiginfo(java.lang.String value)`
    `CHARTNode` | `setEnabled(boolean value)`
    `CHARTNode` | `setEnabled(java.lang.String value)`
    `CHARTNode` | `setHeight(int value)`
    `CHARTNode` | `setHeight(java.lang.String value)`
    `CHARTNode` | `setId(java.lang.String value)`
    `CHARTNode` | `setReference(java.lang.String value)`
    `CHARTNode` | `setRendered(boolean value)`
    `CHARTNode` | `setRendered(java.lang.String value)`
    `CHARTNode` | `setShadow(java.lang.String value)`
    `CHARTNode` | `setShowextendedlegend(boolean value)`
    `CHARTNode` | `setShowextendedlegend(java.lang.String value)`
    `CHARTNode` | `setSuppressrightleftgesture(boolean value)`
    `CHARTNode` | `setSuppressrightleftgesture(java.lang.String value)`
    `CHARTNode` | `setWidth(int value)`
    `CHARTNode` | `setWidth(java.lang.String value)`
    `CHARTNode` | `setZoomdelay(int value)`
    `CHARTNode` | `setZoomdelay(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CHARTNode

          public CHARTNode()

  - ### Method Detail

    - #### setId

          public CHARTNode setId(java.lang.String value)

    - #### setActionListener

          public CHARTNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public CHARTNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public CHARTNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public CHARTNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public CHARTNode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public CHARTNode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public CHARTNode setAnimatechangeofsize(boolean value)

    - #### setAttributemacro

          public CHARTNode setAttributemacro(java.lang.String value)

    - #### setChartbinding

          public CHARTNode setChartbinding(java.lang.String value)

    - #### bindChartbinding

          public CHARTNode bindChartbinding(IDynamicContentBindingObject value)

    - #### setComment

          public CHARTNode setComment(java.lang.String value)

    - #### bindComment

          public CHARTNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public CHARTNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public CHARTNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setEnabled

          public CHARTNode setEnabled(java.lang.String value)

    - #### bindEnabled

          public CHARTNode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public CHARTNode setEnabled(boolean value)

    - #### setHeight

          public CHARTNode setHeight(java.lang.String value)

    - #### bindHeight

          public CHARTNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public CHARTNode setHeight(int value)

    - #### setReference

          public CHARTNode setReference(java.lang.String value)

    - #### setRendered

          public CHARTNode setRendered(java.lang.String value)

    - #### bindRendered

          public CHARTNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public CHARTNode setRendered(boolean value)

    - #### setShadow

          public CHARTNode setShadow(java.lang.String value)

    - #### bindShadow

          public CHARTNode bindShadow(IDynamicContentBindingObject value)

    - #### setShowextendedlegend

          public CHARTNode setShowextendedlegend(java.lang.String value)

    - #### bindShowextendedlegend

          public CHARTNode bindShowextendedlegend(IDynamicContentBindingObject value)

    - #### setShowextendedlegend

          public CHARTNode setShowextendedlegend(boolean value)

    - #### setSuppressrightleftgesture

          public CHARTNode setSuppressrightleftgesture(java.lang.String value)

    - #### bindSuppressrightleftgesture

          public CHARTNode bindSuppressrightleftgesture(IDynamicContentBindingObject value)

    - #### setSuppressrightleftgesture

          public CHARTNode setSuppressrightleftgesture(boolean value)

    - #### setWidth

          public CHARTNode setWidth(java.lang.String value)

    - #### bindWidth

          public CHARTNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public CHARTNode setWidth(int value)

    - #### setZoomdelay

          public CHARTNode setZoomdelay(java.lang.String value)

    - #### bindZoomdelay

          public CHARTNode bindZoomdelay(IDynamicContentBindingObject value)

    - #### setZoomdelay

          public CHARTNode setZoomdelay(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.